Loading...
Searching...
No Matches
Opm::ThreadManager Class Reference

Simplifies multi-threaded capabilities. More...

`#include <threadmanager.hpp>`

## Public Types

enum | { isFake = true }

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters of the thread manager.
static void | init (bool queryCommandLineParameter=true)
| Initialize number of threads used thread manager.
static unsigned | maxThreads ()
| Return the maximum number of threads of the current process.
static unsigned | threadId ()
| Return the index of the current OpenMP thread.

## Detailed Description

Simplifies multi-threaded capabilities.

## Member Function Documentation

## init()

void Opm::ThreadManager::init | ( | bool | queryCommandLineParameter = true | ) |

static

Initialize number of threads used thread manager.

Parameters

  queryCommandLineParameter | if set to true we will query ThreadsPerProcess and if set (disregard the environment variable OPM_NUM_THREADS). If false we will assume that the number of OpenMP threads is already set outside of this function (e.g. by OPM_NUM_THREADS or in the simulator by the ThreadsPerProcess parameter).

The documentation for this class was generated from the following files:

- opm/models/parallel/threadmanager.hpp
- opm/models/parallel/threadmanager.cpp